Bug 12277 - libnss_wins.so.2 doesn't link against libreplace with rpath
libnss_wins.so.2 doesn't link against libreplace with rpath
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.4.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-19 15:28 UTC by Andreas Schneider
Modified: 2017-04-21 06:50 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.5 (1.25 KB, patch)
2016-09-20 08:27 UTC, Andreas Schneider
jmcd: review+
Details
patch for 4.4 (1.25 KB, patch)
2016-09-20 08:28 UTC, Andreas Schneider
jmcd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-09-19 15:28:08 UTC
libnss_wins.so.2 doesn't link against libreplace with rpath.

Patch will follow
Comment 1 Andreas Schneider 2016-09-20 08:27:32 UTC
Created attachment 12496 [details]
patch for 4.5
Comment 2 Andreas Schneider 2016-09-20 08:28:52 UTC
Created attachment 12498 [details]
patch for 4.4
Comment 3 Jim McDonough 2016-09-20 17:34:22 UTC
Comment on attachment 12496 [details]
patch for 4.5

lgtm
Comment 4 Andreas Schneider 2017-04-06 14:04:57 UTC
Karolin, please add the patch to the relevant branches. Thanks!
Comment 5 Karolin Seeger 2017-04-19 07:42:01 UTC
(In reply to Andreas Schneider from comment #4)
Pushed to autobuild-v4-5-test.
Comment 6 Karolin Seeger 2017-04-21 06:50:16 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-5-test.
Closing out bug report.

Thanks!